<!DOCTYPE html>
<html>
<head>
   <title>Patern 18</title>
</head>
<body>
   <script>
      var output;
      var jmlBaris = 4;
      var tempJmlBaris = jmlBaris;
      var innerSpace = jmlBaris-2;
      var frontSpace = 0;
      for (let i = 0; i <= jmlBaris; i++) {
         var output = '';
         for (let j = 0; j < frontSpace; j++) {
            output = output + '&nbsp;&nbsp;';
         }
         if (i == 0) {
            for (let j = 0; j < tempJmlBaris+1; j++) {
               output = output + '*';
            }
         } else {
            for (let j = tempJmlBaris; j >= 0; j--) {
               if (j == 0) {
                  output = output + '*';
               } else if (j == tempJmlBaris) {
                  output = output + '*';
               } else if (j < tempJmlBaris && j > 0) {
                  output = output + '&nbsp;&nbsp;';
               }
            }
         }

         
         tempJmlBaris--;
         innerSpace--;
         frontSpace++;
         document.writeln(output);         
         document.writeln('<br>');
         
      }
   </script>
</body>
</html>